Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Class DragDropListenerService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.common.ui.services.dnd.core.DragDropListenerService

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener, IDragDropListenerProvider

    public class DragDropListenerService

extends Service
implements IDragDropListenerProvider

A service that provides the `IDragSourceListener` and `IDropTargetListener`. This service gets the all the providers that provide listeners for the specified context.

Nested Class Summary
`protected static class` `DragDropListenerService.ProviderDescriptor` A descriptor for `IDragDropListenerProvider` defined by a configuration element.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Constructor Summary
`protected` `DragDropListenerService()` The DragDropListenerService constructor

Method Summary
`java.lang.String[]` `getAllTransferIds(java.lang.String partId, java.lang.String operationType)` Utility to get all the registered transfer ids against a part id for an operation type
`IDragSourceListener[]` `getDragSourceListeners(IDragListenerContext context)` Returns an array of `IDragSourceListener` for the given `IDragDropListenerContext`
`IDropTargetListener[]` `getDropTargetListeners(IDropListenerContext context)` Returns an array of `IDropTargetListener` for the given `IDragDropListenerContext`
`static DragDropListenerService` `getInstance()` Gets the instance of DragDropListenerService
`protected Service.ProviderDescriptor` `newProviderDescriptor(IConfigurationElement element)` Creates a new provider descriptor for the specified configuration `element`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, createPriorityCache, execute, executeUnique, getAllProviders, getCachingKey, getPriority, getProviders, isOptimistic, isOptimized, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Constructor Detail

### DragDropListenerService

    protected DragDropListenerService()

  The DragDropListenerService constructor

Method Detail

### getInstance

    public static DragDropListenerService getInstance()

  Gets the instance of DragDropListenerService

  Returns:
    Returns the `instance` variable

### newProviderDescriptor

    protected Service.ProviderDescriptor newProviderDescriptor(IConfigurationElement element)

  Description copied from class: `Service`
  Creates a new provider descriptor for the specified configuration `element`.

  Overrides:
    `newProviderDescriptor` in class `Service`
  Parameters:
    `element` - The configuration element from which to create the descriptor.
  Returns:
    A new provider descriptor.

### getAllTransferIds

    public java.lang.String[] getAllTransferIds(java.lang.String partId,
                                                java.lang.String operationType)

  Utility to get all the registered transfer ids against a part id for an operation type

  Parameters:
    `partId` - the part id
    `operationType` - the type of operation (drag or drop)
  Returns:
    array of transfer ids

### getDragSourceListeners

    public IDragSourceListener[] getDragSourceListeners(IDragListenerContext context)

  Description copied from interface: `IDragDropListenerProvider`
  Returns an array of `IDragSourceListener` for the given `IDragDropListenerContext`

  Specified by:
    `getDragSourceListeners` in interface `IDragDropListenerProvider`
  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an array of `IDragSourceListener`

### getDropTargetListeners

    public IDropTargetListener[] getDropTargetListeners(IDropListenerContext context)

  Description copied from interface: `IDragDropListenerProvider`
  Returns an array of `IDropTargetListener` for the given `IDragDropListenerContext`

  Specified by:
    `getDropTargetListeners` in interface `IDragDropListenerProvider`
  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an array of `IDropTargetListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.